Skip to content
Start here

List custom assets

client.customPages.assets.list(AssetListParams { account_id, zone_id, page, per_page } params?, RequestOptionsoptions?): V4PagePaginationArray<AssetListResponse { description, last_updated, name, 2 more } >
GET/{accounts_or_zones}/{account_or_zone_id}/custom_pages/assets

Fetches all the custom assets.

Security

API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
ParametersExpand Collapse
params: AssetListParams { account_id, zone_id, page, per_page }
account_id?: string

Path param: The Account ID to use for this endpoint. Mutually exclusive with the Zone ID.

zone_id?: string

Path param: The Zone ID to use for this endpoint. Mutually exclusive with the Account ID.

page?: number

Query param

minimum1
per_page?: number

Query param

maximum200
minimum1
ReturnsExpand Collapse
AssetListResponse { description, last_updated, name, 2 more }
description?: string

A short description of the custom asset.

last_updated?: string
formatdate-time
name?: string

The unique name of the custom asset. Can only contain letters (A-Z, a-z), numbers (0-9), and underscores (_).

minLength1
size_bytes?: number

The size of the asset content in bytes.

url?: string

The URL where the asset content is fetched from.

formaturi

List custom assets

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiEmail: process.env['CLOUDFLARE_EMAIL'], // This is the default and can be omitted
  apiKey: process.env['CLOUDFLARE_API_KEY'], // This is the default and can be omitted
});

// Automatically fetches more pages as needed.
for await (const assetListResponse of client.customPages.assets.list({
  account_id: 'account_id',
})) {
  console.log(assetListResponse.description);
}
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": [
    {
      "description": "Custom 500 error page",
      "last_updated": "2014-01-01T05:20:00.12345Z",
      "name": "my_custom_error_page",
      "size_bytes": 1024,
      "url": "https://example.com/error.html"
    }
  ],
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000,
    "total_pages": 100
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": [
    {
      "description": "Custom 500 error page",
      "last_updated": "2014-01-01T05:20:00.12345Z",
      "name": "my_custom_error_page",
      "size_bytes": 1024,
      "url": "https://example.com/error.html"
    }
  ],
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000,
    "total_pages": 100
  }
}